// Made by zakarum5835

// Warder Upgrade Smithing Template can be obtained defeating Warden

EntityEvents.drops('minecraft:warden', event => {
    event.addDrop(Item.of('deeperdarker:warden_upgrade_smithing_template').withCount(1).withChance(0.5))
})

// End Eyes from End Remastered mod can be obtained from certain mods that adds tough bosses

// Mowzies Mobs

// Cold Eye from FrostMaw

EntityEvents.drops('mowziesmobs:frostmaw', event => {
    event.addDrop(Item.of('endrem:cold_eye').withCount(1).withChance(0.5))
})

// Rogue Eye from Umvuthi the Sunbird

EntityEvents.drops('mowziesmobs:umvuthi', event => {
    event.addDrop(Item.of('endrem:rogue_eye').withCount(1).withChance(0.5))
})

// Old Eye from Tongbi, the Sculptor

EntityEvents.drops('mowziesmobs:sculptor', event => {
    event.addDrop(Item.of('endrem:evil_eye').withCount(1).withChance(0.5))
})

// Undead Eye from Ferrous Wroughtnaut

EntityEvents.drops('mowziesmobs:ferrous_wroughtnaut', event => {
    event.addDrop(Item.of('endrem:undead_eye').withCount(1).withChance(0.5))
})

// Bosses of Mass Destruction

// Magical Eye from Lich

EntityEvents.drops('bosses_of_mass_destruction:lich', event => {
    event.addDrop(Item.of('endrem:magical_eye').withCount(1).withChance(0.5))
})

// Witch Eye from Void Blossom

EntityEvents.drops('bosses_of_mass_destruction:void_blossom', event => {
    event.addDrop(Item.of('endrem:witch_eye').withCount(1).withChance(0.5))
})

// Bosses Rise

// Cryptic Eye from Helvar, the underworld Knight

EntityEvents.drops('block_factorys_bosses:underworld_knight', event => {
    event.addDrop(Item.of('endrem:cryptic_eye').withCount(1).withChance(0.5))
})

// Old Eye from Sandworm

EntityEvents.drops('block_factorys_bosses:sandworm', event => {
    event.addDrop(Item.of('endrem:old_eye').withCount(1).withChance(0.5))
})

// Exotic Eye from The Kraken

EntityEvents.drops('block_factorys_bosses:kraken', event => {
    event.addDrop(Item.of('endrem:exotic_eye').withCount(1).withChance(0.5))
})

// Legendary Monsters

// Corrupted Eye from Ancient Guardian

EntityEvents.drops('legendary_monsters:ancient_guardian', event => {
    event.addDrop(Item.of('endrem:corrupted_eye').withCount(1).withChance(0.5))
})

// Lost Eye from Withered Abomination

EntityEvents.drops('legendary_monsters:withered_abomination', event => {
    event.addDrop(Item.of('endrem:lost_eye').withCount(1).withChance(0.5))
})

// Black Eye from Cumulonimbus

EntityEvents.drops('legendary_monsters:cloud_golem', event => {
    event.addDrop(Item.of('endrem:black_eye').withCount(1).withChance(0.5))
})

// Cataclysm

// Cursed Eye from Netherite Monstrosity

EntityEvents.drops('cataclysm:netherite_monstrosity', event => {
    event.addDrop(Item.of('endrem:cursed_eye').withCount(1).withChance(0.5))
})

// Guardian Eye from The Leviathan

EntityEvents.drops('cataclysm:the_leviathan', event => {
    event.addDrop(Item.of('endrem:guardian_eye').withCount(1).withChance(0.5))
})